import request from '@/utils/request'

// 查询舆情报告列表
export function listYqbg(query) {
  return request({
    url: '/tcZz/netWorkYq/yqbg/list',
    method: 'get',
    params: query
  })
}

// 查询舆情报告详细
export function getYqbg(id) {
  return request({
    url: '/tcZz/netWorkYq/yqbg/' + id,
    method: 'get'
  })
}

// 新增舆情报告
export function addYqbg(data) {
  return request({
    url: '/tcZz/netWorkYq/yqbg',
    method: 'post',
    data: data
  })
}

// 修改舆情报告
export function updateYqbg(data) {
  return request({
    url: '/tcZz/netWorkYq/yqbg',
    method: 'put',
    data: data
  })
}

// 删除舆情报告
export function delYqbg(id) {
  return request({
    url: '/tcZz/netWorkYq/yqbg/' + id,
    method: 'delete'
  })
}
//批量启用禁用
export function isStatusYqbg(params) {
  return request({
    url: '/tcZz/netWorkYq/yqbg/isStatus',
    method: 'get',
    params
  })
}
//通用导入信息
export function importYqbg(data) {
  return request({
    url: '/tcZz/netWorkYq/yqbg/common/importExcel',
    method: 'post',
    data
  })
}